Full credit assessment
curl --request POST \
--url https://api.txcloud.io/v1/lending/assess \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"applicant": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"phone": "<string>",
"email": "<string>",
"national_id": "<string>"
},
"loan_request": {
"amount": 123,
"currency": "<string>",
"term_months": 123,
"purpose": "<string>"
},
"consent": {
"bureau_check": true,
"timestamp": "2023-11-07T05:31:56Z",
"bank_data": true
},
"employment": {
"employer_name": "<string>",
"monthly_income": 123,
"income_currency": "<string>"
},
"existing_debts": [
{}
]
}
'import requests
url = "https://api.txcloud.io/v1/lending/assess"
payload = {
"applicant": {
"id": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"phone": "<string>",
"email": "<string>",
"national_id": "<string>"
},
"loan_request": {
"amount": 123,
"currency": "<string>",
"term_months": 123,
"purpose": "<string>"
},
"consent": {
"bureau_check": True,
"timestamp": "2023-11-07T05:31:56Z",
"bank_data": True
},
"employment": {
"employer_name": "<string>",
"monthly_income": 123,
"income_currency": "<string>"
},
"existing_debts": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
applicant: {
id: '<string>',
first_name: '<string>',
last_name: '<string>',
date_of_birth: '2023-12-25',
phone: '<string>',
email: '<string>',
national_id: '<string>'
},
loan_request: {amount: 123, currency: '<string>', term_months: 123, purpose: '<string>'},
consent: {bureau_check: true, timestamp: '2023-11-07T05:31:56Z', bank_data: true},
employment: {employer_name: '<string>', monthly_income: 123, income_currency: '<string>'},
existing_debts: [{}]
})
};
fetch('https://api.txcloud.io/v1/lending/assess', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"status": "<string>",
"decision": {
"recommendation": "approve",
"confidence": 123,
"max_approved_amount": 123
},
"credit_score": {
"score": 123,
"grade": "<string>",
"percentile": 123
},
"income_analysis": {},
"affordability": {},
"pricing": {}
}Assessment
Full credit assessment
POST
/
lending
/
assess
Full credit assessment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json